#!/bin/bash -e

# TODO: cross-check this list against final ubuntu os script
# Install packages for Go
echo "================= Install packages for Go ==================="
apt-get update && apt-get install -y \
	autotools-dev \
	autoconf \
	bison \
	git \
	mercurial \
	cmake \
	scons \
	binutils \
	gcc \
	bzr


# Install gvm
echo "================= Install gvm ==================="
curl -s -L https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer | bash

export CGO_ENABLED=0
#set the source path of gvm. $HOME points to '/root'
[[ -s "$HOME/.gvm/scripts/gvm" ]] && source $HOME/.gvm/scripts/gvm
export CGO_ENABLED=0

export GOVER="1.12.17"
# Install gvm
echo "================= Install Go $GOVER ==================="
export GOROOT_BOOTSTRAP=$GOROOT
gvm install go$GOVER --prefer-binary
source /root/.gvm/scripts/gvm
gvm use go$GOVER
go install -a std
go get -u github.com/tools/godep
